
package org.gcube.portlets.widgets.wstaskexecutor.shared;

import java.io.Serializable;

import com.google.gwt.user.client.rpc.IsSerializable;

/**
 * The Class WSItem.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR (francesco.mangiacrapa@isti.cnr.it)
 *         May 9, 2018
 */
public class WSItem implements Serializable, IsSerializable {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;
	private String itemId;
	private String itemName;

	/**
	 * Instantiates a new ws folder.
	 */
	public WSItem() {

	}

	/**
	 * Instantiates a new workspace file.
	 *
	 * @param itemId
	 *            the item id
	 * @param itemName
	 *            the item name
	 */
	public WSItem(String itemId, String itemName) {

		this.itemId = itemId;
		this.itemName = itemName;
	}

	/**
	 * Gets the item id.
	 *
	 * @return the itemId
	 */
	public String getItemId() {

		return itemId;
	}

	/**
	 * Gets the item name.
	 *
	 * @return the itemName
	 */
	public String getItemName() {

		return itemName;
	}

	/**
	 * Sets the item id.
	 *
	 * @param itemId
	 *            the itemId to set
	 */
	public void setItemId(String itemId) {

		this.itemId = itemId;
	}

	/**
	 * Sets the item name.
	 *
	 * @param itemName
	 *            the itemName to set
	 */
	public void setItemName(String itemName) {

		this.itemName = itemName;
	}

	/*
	 * (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {

		StringBuilder builder = new StringBuilder();
		builder.append("WorkspaceFile [itemId=");
		builder.append(itemId);
		builder.append(", itemName=");
		builder.append(itemName);
		builder.append("]");
		return builder.toString();
	}
}
